Page MenuHomePhabricator

"notification-header-newsletter-newpublisher" i18n message should support GENDER
Closed, ResolvedPublic

Description

MediaWiki:Newsletter-notification-new-publisher-flyout i18n issue should support GENDER.

(Reported by @Verdy_p in qqq.)

URL: https://translatewiki.net/wiki/MediaWiki:Newsletter-notification-new-publisher-flyout/he

Event Timeline

Amire80 created this task.Apr 8 2016, 1:15 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 8 2016, 1:15 PM

I don't think that message is actually used anywhere because Echo's old formatter system is deprecated and we will probably remove this message at some point in the future. However, the message notification-header-newsletter-newpublisher which is currently shown also doesn't seem to support GENDER.

Glaisher renamed this task from Newsletter-notification-new-publisher-flyout i18n issue should support GENDER to "notification-header-newsletter-newpublisher" i18n message should support GENDER.Apr 24 2016, 10:21 AM
Glaisher claimed this task.
Glaisher triaged this task as Normal priority.

Change 285074 had a related patch set uploaded (by Glaisher):
Add GENDER support to "notification-header-newsletter-newpublisher" message

https://gerrit.wikimedia.org/r/285074

Change 285074 merged by jenkins-bot:
Add GENDER support to "notification-header-newsletter-newpublisher" message

https://gerrit.wikimedia.org/r/285074

Glaisher closed this task as Resolved.Apr 29 2016, 4:17 PM

Also fixes parameters order.

Tested and it works in French (though it does not use one of the parameters for the author of the change, only the paameter for the user that receives the notification.

Note that the Translate extensions requires using $2 and $3 somewhere, even if it's in a dummy/empty "{{GENDER:$2|}}". English also does not them it but places these GENDER tags around words that are unaffected (and not necessarily the one affected by gender in translations (see the example in French.

Such thing should be documented (notably because the change in the English message made the translated message fuzzy, even if the language does not need gender.

Usage of GENDER should be documented somewhere on a standard page that could be linked from /qqq pages (or transcluded there by a template if this doc is minimal)

However could these translated messages display the actual user names in $2 or $3 even if they don't use genders ? My opinon is that they should not do that unless $2 and $3 are also displayed in the English source message (but not if it's just the first parameter of a GENDER: tag).